## ros-humble-tf2-geometry-msgs 0.25.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_geometry_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Figure out Python3 debug/release before anything else can find_package it
if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)
  # Force FindPython3 to use the debug interpretter where ROS 2 expects it
  set(Python3_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
endif()
find_package(Python3 REQUIRED COMPONENTS Interpreter Development)

find_package(geometry_msgs REQUIRED)
find_package(orocos_kdl_vendor REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME} INTERFACE
  ${geometry_msgs_TARGETS}
  orocos-kdl
  tf2::tf2
  tf2_ros::tf2_ros)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_cppcheck
  )
  ament_lint_auto_find_test_dependencies()

  ament_cppcheck(LANGUAGE "c++")

  find_package(ament_cmake_gtest REQUIRED)
  find_package(rclcpp REQUIRED)

  find_package(ament_cmake_pytest REQUIRED)
  ament_add_pytest_test(test_tf2_geometry_msgs_py test/test_tf2_geometry_msgs.py)

  ament_add_gtest(test_tf2_geometry_msgs test/test_tf2_geometry_msgs.cpp)
  if(TARGET test_tf2_geometry_msgs)
    target_link_libraries(test_tf2_geometry_msgs
      ${PROJECT_NAME}
      rclcpp::rclcpp
      # Used, but not linked to test ${PROJECT_NAME}'s exports:
      #   tf2_ros::tf2_ros
    )
  endif()
endif()

install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME})
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(
  "geometry_msgs"
  "orocos_kdl_vendor"
  "orocos_kdl"
  "tf2"
  "tf2_ros")

ament_package()

=== debian/changelog ===
ros-humble-tf2-geometry-msgs (0.25.3-1jammy) jammy; urgency=high

  * Add do_transform_polygon_stamped (#582 <https://github.com/ros2/geometry2/issues/582>) (#590 <https://github.com/ros2/geometry2/issues/590>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.1-1jammy) jammy; urgency=high

  * Use orocos_kdl_vendor and orocos-kdl target (#548 <https://github.com/ros2/geometry2/issues/548>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.0-1jammy) jammy; urgency=high

  * Make sure to find the right Python executable. (#514 <https://github.com/ros2/geometry2/issues/514>)
  * Depend on orocos_kdl_vendor  (#473 <https://github.com/ros2/geometry2/issues/473>)
  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.23.0-1jammy) jammy; urgency=high

  * Drop PyKDL dependency in tf2_geometry_msgs (#509 <https://github.com/ros2/geometry2/issues/509>)
  * Contributors: Florian Vahl

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.22.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Export a tf2_geometry_msgs::tf2_geometry_msgs target (#496 <https://github.com/ros2/geometry2/issues/496>)
  * Feature: Add doTransform for Wrench messages (#476 <https://github.com/ros2/geometry2/issues/476>)
  * Contributors: Denis Štogl, Jacob Perron, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.20.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.19.0-1jammy) jammy; urgency=high

  * Remove some references to the ROS 1 wiki.
  * Style fixes in tf2_geometry_msgs. (#464 <https://github.com/ros2/geometry2/issues/464>)
  * Fix for issue #431 <https://github.com/ros2/geometry2/issues/431> - Covariance is not transformed in do_transform_pose_with_covariance_stamped (#453 <https://github.com/ros2/geometry2/issues/453>)
  * doTransform non stamped msgs (#452 <https://github.com/ros2/geometry2/issues/452>)
  * tf2_geometry_msgs: Fixing covariance transformation in doTransform<PoseWithCovarianceStamped, TransformStamped> (#430 <https://github.com/ros2/geometry2/issues/430>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Khasreto, vineet131

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.18.0-1jammy) jammy; urgency=high

  * Geometry nitpicks (#426 <https://github.com/ros2/geometry2/issues/426>)
  * Conversion tests for toMsg() (#423 <https://github.com/ros2/geometry2/issues/423>)
  * Deprecate tf2_geometry_msgs.h (#418 <https://github.com/ros2/geometry2/issues/418>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.17.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.17.0-1jammy) jammy; urgency=high

  * Fix doTransform with Eigen Quaternion (#369 <https://github.com/ros2/geometry2/issues/369>)
  * Contributors: Bjar Ne

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.16.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.15.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.14.1-1jammy) jammy; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Add PoseWithCovarianceStamped transform support (#312 <https://github.com/ros2/geometry2/issues/312>)
  * Contributors: Ivan Santiago Paunovic, Joshua Whitley

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.14.0-1jammy) jammy; urgency=high

  * Don't install python tf2_geometry_msgs (#299 <https://github.com/ros2/geometry2/issues/299>)
    It hasn't been ported yet.
    Closes https://github.com/ros2/geometry2/issues/285
  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
    * Split tf2_ros in tf2_ros and tf2_ros_py
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-humble-tf2-geometry-msgs (0.13.4-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-tf2-geometry-msgs
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-orocos-kdl-vendor, ros-humble-python-cmake-module, ros-humble-rclcpp <!nocheck>, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-humble-tf2-geometry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-humble-geometry-msgs, ros-humble-orocos-kdl-vendor, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-tf2-ros-py, ros-humble-ros-workspace
Description: tf2_geometry_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2-geometry-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tf2-geometry-msgs 0.25.7

=== debian/changelog ===
ros-humble-tf2-geometry-msgs (0.25.7-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.6-1bookworm) bookworm; urgency=high

  * When finding Python3, use python3 executable as a hint (#650 <https://github.com/ros2/geometry2/issues/650>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.5-1bookworm) bookworm; urgency=high

  * add torque due to force offset (#538 <https://github.com/ros2/geometry2/issues/538>) (#633 <https://github.com/ros2/geometry2/issues/633>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.4-1bookworm) bookworm; urgency=high

  * Fixed Windows warnings (#623 <https://github.com/ros2/geometry2/issues/623>)
  * Add doTransform support for Point32, Polygon and PolygonStamped (#616 <https://github.com/ros2/geometry2/issues/616>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Doisy

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.3-1bookworm) bookworm; urgency=high

  * Add do_transform_polygon_stamped (#582 <https://github.com/ros2/geometry2/issues/582>) (#590 <https://github.com/ros2/geometry2/issues/590>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.2-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.1-1bookworm) bookworm; urgency=high

  * Use orocos_kdl_vendor and orocos-kdl target (#548 <https://github.com/ros2/geometry2/issues/548>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.0-1bookworm) bookworm; urgency=high

  * Make sure to find the right Python executable. (#514 <https://github.com/ros2/geometry2/issues/514>)
  * Depend on orocos_kdl_vendor  (#473 <https://github.com/ros2/geometry2/issues/473>)
  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.24.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.23.0-1bookworm) bookworm; urgency=high

  * Drop PyKDL dependency in tf2_geometry_msgs (#509 <https://github.com/ros2/geometry2/issues/509>)
  * Contributors: Florian Vahl

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.22.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.21.0-1bookworm) bookworm; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Export a tf2_geometry_msgs::tf2_geometry_msgs target (#496 <https://github.com/ros2/geometry2/issues/496>)
  * Feature: Add doTransform for Wrench messages (#476 <https://github.com/ros2/geometry2/issues/476>)
  * Contributors: Denis Štogl, Jacob Perron, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.20.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.19.0-1bookworm) bookworm; urgency=high

  * Remove some references to the ROS 1 wiki.
  * Style fixes in tf2_geometry_msgs. (#464 <https://github.com/ros2/geometry2/issues/464>)
  * Fix for issue #431 <https://github.com/ros2/geometry2/issues/431> - Covariance is not transformed in do_transform_pose_with_covariance_stamped (#453 <https://github.com/ros2/geometry2/issues/453>)
  * doTransform non stamped msgs (#452 <https://github.com/ros2/geometry2/issues/452>)
  * tf2_geometry_msgs: Fixing covariance transformation in doTransform<PoseWithCovarianceStamped, TransformStamped> (#430 <https://github.com/ros2/geometry2/issues/430>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Khasreto, vineet131

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Oct 2021 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.18.0-1bookworm) bookworm; urgency=high

  * Geometry nitpicks (#426 <https://github.com/ros2/geometry2/issues/426>)
  * Conversion tests for toMsg() (#423 <https://github.com/ros2/geometry2/issues/423>)
  * Deprecate tf2_geometry_msgs.h (#418 <https://github.com/ros2/geometry2/issues/418>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 May 2021 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.17.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.17.0-1bookworm) bookworm; urgency=high

  * Fix doTransform with Eigen Quaternion (#369 <https://github.com/ros2/geometry2/issues/369>)
  * Contributors: Bjar Ne

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.16.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.15.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-tf2-geometry-msgs (0.15.0-1bookworm) bookworm; urgency=high



=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2-geometry-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tf2-geometry-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tf2-geometry-msgs//opt/ros/humble/opt/tf2_geometry_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
